Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000969bareos-core[All Projects] directorpublic2018-06-21 17:062018-06-22 17:18
Reporterfrank 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version17.2.5 
Target Version17.2.6Fixed in Version17.2.6 
Summary0000969: Single file restore within webui seems to be broken
DescriptionTrying to restore a single file within the webui, but it always restores the whole directory, all files, not only the selected one(s).

Steps To ReproduceExecute ".bvfs_restore jobid=1 fileid=5
path=b2000100" you should normally end up with a temporarily table
(b2000100) which contains just one row, but you don't.

Instead, sometimes multiple files are inserted into the temporarily
table and not just the single one which was selected to be restored.

The problem is located somewhere around the BVFS API.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impactyes
bareos-17.2: actionfixed
bareos-16.2: impactno
bareos-16.2: action
bareos-15.2: impactno
bareos-15.2: action
bareos-14.2: impactno
bareos-14.2: action
bareos-13.2: impactno
bareos-13.2: action
bareos-12.4: impactno
bareos-12.4: action
Attached Files

- Relationships
child of 0000916resolvedjoergs Release bareos-17.2.6 

-  Notes
There are no notes attached to this issue.

- Related Changesets
bareos: bareos-17.2 eda08bd9
Timestamp: 2018-02-26 15:11:40
Author: pstorz
Ported: N/A
Details ] Diff ]
bvfs: fix problem of selecting too many files

When the query 0047_bvfs_select was ported to the new
database scheme, obviously the part limiting the query
to files with the correct filenameid was overseen.

This commit adds the analogous part to the query.
mod - src/cats/dml/0047_bvfs_select Diff ] File ]
mod - src/cats/mysql_queries.inc Diff ] File ]
mod - src/cats/sqlite_queries.inc Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-06-21 17:06 frank New Issue
2018-06-21 17:06 frank Status new => confirmed
2018-06-21 17:07 frank Product Version 17.2.4 => 17.2.5
2018-06-21 17:17 joergs Relationship added child of 0000916
2018-06-21 17:20 joergs Changeset attached => bareos bareos-17.2 eda08bd9
2018-06-21 17:21 joergs bareos-master: impact => yes
2018-06-21 17:21 joergs bareos-master: action => will care
2018-06-21 17:21 joergs bareos-17.2: impact => yes
2018-06-21 17:21 joergs bareos-17.2: action => will care
2018-06-21 17:21 joergs bareos-16.2: impact => no
2018-06-21 17:21 joergs bareos-15.2: impact => no
2018-06-21 17:21 joergs bareos-14.2: impact => no
2018-06-21 17:21 joergs bareos-13.2: impact => no
2018-06-21 17:21 joergs bareos-12.4: impact => no
2018-06-21 17:21 joergs Priority high => normal
2018-06-21 17:21 joergs Status confirmed => resolved
2018-06-21 17:21 joergs Resolution open => fixed
2018-06-21 17:21 joergs Fixed in Version => 17.2.6
2018-06-21 17:21 joergs Target Version => 17.2.6
2018-06-22 17:18 joergs bareos-master: action will care => fixed
2018-06-22 17:18 joergs bareos-17.2: action will care => fixed
2018-06-22 17:18 joergs Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker